package com.schoolinout.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.schoolinout.common.annotation.Excel;
import com.schoolinout.common.core.domain.BaseEntity;
import io.swagger.v3.oas.annotations.media.Schema;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 班级管理对象 tb_school_class
 *
 * @author sakura
 * @date 2024-01-03
 */
@TableName("tb_school_class")
@Schema(name = "班级")
public class Clazz extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    @TableId(type = IdType.AUTO)
    @Schema(description = "id")
    private Long id;

    /**
     * 学校id
     */
    @Excel(name = "学校id")
    @Schema(description = "学校id")
    private Long schoolId;

    /**
     * 班级名称
     */
    @Excel(name = "班级名称")
    @Schema(description = "班级名称")
    private String className;

    /**
     * 班级人数
     */
    @Excel(name = "班级人数")
    @Schema(description = "班级人数")
    private Long classCount;

    /**
     * 班级电话
     */
    @Excel(name = "班级电话")
    @Schema(description = "班级电话")
    private String phone;

    @TableField(exist = false)
    private String teacherName;

    @TableField(exist = false)
    private String teacherMain;

    /**
     * 删除标志（0代表存在 2代表删除）
     */
    private String delFlag;

    public String getTeacherMain() {
        return teacherMain;
    }

    public void setTeacherMain(String teacherMain) {
        this.teacherMain = teacherMain;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getSchoolId() {
        return schoolId;
    }

    public void setSchoolId(Long schoolId) {
        this.schoolId = schoolId;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Long getClassCount() {
        return classCount;
    }

    public void setClassCount(Long classCount) {
        this.classCount = classCount;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("schoolId", getSchoolId())
                .append("className", getClassName())
                .append("classCount", getClassCount())
                .append("phone", getPhone())
                .append("delFlag", getDelFlag())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .toString();
    }
}
